# Class goog.labs.testing.AnyOfMatcher

code »

All implemented interfaces:
  `goog.labs.testing.Matcher`

The AnyOf matcher.

## Constructor

goog.labs.testing.AnyOfMatcher ( matchers )

Parameters

matchers: `!Array`
  Input matchers.

Show:PublicProtectedPrivate

## Instance Methods

code » describe ( actualValue ) ⇒ `string`

Describes why the matcher failed.

Parameters

actualValue

code » matches ( actualValue ) ⇒ `boolean`

Determines if any of the matchers matches the input value.

Parameters

actualValue

## Instance Properties

code » matchers_ : `!Array`